DOM::TextEvent Class Reference

`#include <dom2_events.h>`

Inheritance diagram for DOM::TextEvent:

## Public Member Functions

| TextEvent (const TextEvent &other)
| TextEvent (const Event &other)
TextEvent & | operator= (const TextEvent &other)
TextEvent & | operator= (const Event &other)
void | initTextEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg, const DOMString &outputStringArg, unsigned long keyValArg, unsigned long virtKeyValArg, bool inputGeneratedArg, bool numPadArg)
void | initModifier (unsigned long modifierArg, bool valueArg)
bool | inputGenerated () const
unsigned long | keyVal () const
bool | numPad () const
DOMString | outputString () const
unsigned long | virtKeyVal () const
bool | checkModifier (unsigned long modifierArg)
Public Member Functions inherited from DOM::UIEvent
| UIEvent (const UIEvent &other)
| UIEvent (const Event &other)
UIEvent & | operator= (const UIEvent &other)
UIEvent & | operator= (const Event &other)
AbstractView | view () const
long | detail () const
int | keyCode () const
int | charCode () const
int | pageX () const
int | pageY () const
int | layerX () const
int | layerY () const
int | which () const
void | initUIEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg)
Public Member Functions inherited from DOM::Event
| Event (const Event &other)
Event & | operator= (const Event &other)
DOMString | type () const
Node | target () const
Node | currentTarget () const
unsigned short | eventPhase () const
bool | bubbles () const
bool | cancelable () const
DOMTimeStamp | timeStamp () const
void | stopPropagation ()
void | preventDefault ()
void | initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
EventImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| TextEvent (KeyEventBaseImpl *impl)
Protected Member Functions inherited from DOM::UIEvent
| UIEvent (UIEventImpl *impl)
Protected Member Functions inherited from DOM::Event
| Event (EventImpl *i)

## Additional Inherited Members

Public Types inherited from DOM::Event
enum | PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }
Protected Attributes inherited from DOM::Event
EventImpl * | impl

## Detailed Description

DOM::TextEvent The detail attribute inherited from UIEvent is used to indicate the number of keypresses which have occurred during key repetition.

If this information is not available this value should be 0.

### KDE4: split this up into proper KeyboardEvent and TextEvent classes

as specified in current DOM3 Events revision. This is doing heavy emulation at the moment

Definition at line 555 of file dom2_events.h.

## Member Function Documentation

bool TextEvent::checkModifier | ( | unsigned long | modifierArg | ) |

checkModifier

Note: the below description does not match the actual behavior. it's extended in a way that you can query multiple modifiers at once by logically OR`ing them. also, we use the Qt modifier enum instead of the DOM one.

The CheckModifier method is used to check the status of a single modifier key associated with a TextEvent. The identifier of the modifier in question is passed into the CheckModifier function. If the modifier is triggered it will return true. If not, it will return false. The list of keys below represents the allowable modifier parameters for this method (warning: this was not documented properly in earlier versions): Qt::ShiftButton, Qt::AltButton, Qt::ControlButton, Qt::MetaButton

Parameters:

modifier of type unsigned long The modifier which the user wishes to query.

Return Value: boolean The status of the modifier represented as a boolean.

No Exceptions

Definition at line 600 of file dom2_events.cpp.

void TextEvent::initModifier | ( | unsigned long | modifierArg,
|  | bool | valueArg
| ) |  |

initModifier

The initModifier method is used to initialize the values of any modifiers associated with a TextEvent created through the DocumentEvent interface. This method may only be called before the TextEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times with the same modifier property the final invocation takes precedence. Unless explicitly give a value of true, all modifiers have a value of false. This method has no effect if called after the event has been dispatched. The list of keys below represents the allowable modifier parameters for this method (note: this was not documented properly in earlier versions):

Qt::ShiftButton, Qt::AltButton, Qt::ControlButton, Qt::MetaButton

Parameters:

modifier of type unsigned long The modifier which the user wishes to initialize value of type boolean The new value of the modifier.

No Return Value No Exceptions

Definition at line 592 of file dom2_events.cpp.

void TextEvent::initTextEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg,
|  | const DOMString & | outputStringArg,
|  | unsigned long | keyValArg,
|  | unsigned long | virtKeyValArg,
|  | bool | inputGeneratedArg,
|  | bool | numPadArg
| ) |  |

initTextEvent

The initTextEvent method is used to initialize the value of a MouseEvent created through the DocumentEvent interface. This method may only be called before the TextEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence. This method has no effect if called after the event has been dispatched.

Parameters:

typeArg of type DOMString Specifies the event type. canBubbleArg of type boolean Specifies whether or not the event can bubble. cancelableArg of type boolean Specifies whether or not the event's default action can be prevent. viewArg of type views::AbstractView Specifies the TextEvent's AbstractView. detailArg of type unsigned short Specifies the number of repeated keypresses, if available. outputStringArg of type DOMString Specifies the TextEvent's outputString attribute keyValArg of type unsigned long Specifies the TextEvent's keyValattribute virtKeyValArg of type unsigned long Specifies the TextEvent's virtKeyValattribute inputGeneratedArg of type boolean Specifies the TextEvent's inputGeneratedattribute numPadArg of type boolean Specifies the TextEvent's numPadattribute

No Return Value. No Exceptions.

Definition at line 529 of file dom2_events.cpp.

bool TextEvent::inputGenerated | ( |  | ) | const

inputGenerated of type boolean

The inputGenerated attribute indicates whether the key event will normally cause visible output. If the key event does not generate any visible output, such as the use of a function key or the combination of certain modifier keys used in conjunction with another key, then the value will be false. If visible output is normally generated by the key event then the value will be true. The value of inputGenerated does not guarantee the creation of a character. If a key event causing visible output is cancelable it may be prevented from causing output. This attribute is intended primarily to differentiate between keys events which may or may not produce visible output depending on the system state.

Definition at line 608 of file dom2_events.cpp.

unsigned long TextEvent::keyVal | ( |  | ) | const

keyVal of type unsigned long

The value of keyVal holds the value of the Unicode character associated with the depressed key. If the key has no Unicode representation or no Unicode character is available the value is 0.

Definition at line 560 of file dom2_events.cpp.

bool TextEvent::numPad | ( |  | ) | const

numPad of type boolean

The numPad attribute indicates whether or not the key event was generated on the number pad section of the keyboard. If the number pad was used to generate the key event the value is true, otherwise the value is false.

Definition at line 616 of file dom2_events.cpp.

DOMString TextEvent::outputString | ( |  | ) | const

outputString of type DOMString

outputString holds the value of the output generated by the key event. This may be a single Unicode character or it may be a string. It may also be null in the case where no output was generated by the key event.

Definition at line 568 of file dom2_events.cpp.

unsigned long TextEvent::virtKeyVal | ( |  | ) | const

virtKeyVal of type unsigned long

When the key associated with a key event is not representable via a Unicode character virtKeyVale holds the virtual key code associated with the depressed key. If the key has a Unicode representation or no virtual code is available the value is DOM_VK_UNDEFINED.

Definition at line 584 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys